Unit tef13r_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc, UtRes_p, EF13R_p;

function tef13r: String;

implementation

function tef13r: String;
var
I,J,_i :Integer;
U :Array [0..10] of Real;
F :Array [0..10] of Real;
A :Array [0..120] of Real;
H :Array [0..49] of Real;
W :Array [0..87] of Real;
const
P :Array [0..10] of Real = ( 1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0 );
N :Integer = 11;
M :Integer = 11;
Q :Real = 1.0E-6;
X :Array [0..10] of Real = ( 0.0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1.0 );
Y :Array [0..10] of Real = ( 0.0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1.0 );
label
_1,_2;
begin
Result := '';
{ ****    S/R  F13R      ********* }
for I:=1 to M do
 begin
  F[I-1] := ArcTan(X[I-1]);
  for J:=1 to N do
   begin
_1:
    A[(I-1)+(J-1)*11] := Y[I-1]/(1.0+X[J-1]*X[J-1]*Y[I-1]*Y[I-1]);
   end;
 end;
EF13R(X,Y,N,M,A,U,F,P,1.0,0.0,0.0,Q,H,W,1);
EF13R(X,Y,N,M,A,U,F,P,1.0,0.0,0.0,Q,H,W,2);
Result := Result + Format('%s',[' PEEHE']);
Result := Result + #$0D#$0A;
for _i:=0 to 10 do
 begin
  Result := Result + Format('%20.16f ',[U[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 49 do
 begin
  Result := Result + Format('%20.16f ',[H[_i]]);
  if ( ((_i+1) mod 5)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
F[0] := 0.0;
for I:=2 to M do
 begin
_2:
  F[I-1] := Ln(1.0+Y[I-1]*Y[I-1])/(2.0*Y[I-1]);
 end;
Q := 1.E-6;
EF13R(X,Y,N,M,A,U,F,P,1.0,0.0,0.0,Q,H,W,4);
EF13R(X,Y,N,M,A,U,F,P,1.0,0.0,0.0,Q,H,W,2);
Result := Result + Format('%s',[' PEEHE']);
Result := Result + #$0D#$0A;
for _i:=0 to 10 do
 begin
  Result := Result + Format('%20.16f ',[U[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 49 do
 begin
  Result := Result + Format('%20.16f ',[H[_i]]);
  if ( ((_i+1) mod 5)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tef13r',Result);  {     tef13r.res }
exit;
end;

end.
